Logo
You will also need .NET Framework 3.5 for the Naraeha Launcher to Update your client.

Click Here to visit Microsoft Website
Enable .NET Framework 3.5 for the Naraeha Launcher to Update your client on Windows 10
  • Press the Windows key on your keyboard. Type “Windows Features” and press Enter. This brings up the Turn Windows features on or off dialog box.
  • Select the .NET Framework 3.5 (includes .NET 2.0 and 3.0) check box, select OK, and reboot your computer if prompted.
Enable the .NET Framework 3.5 in Control Panel
Windows 10 Version 1709 Fall Creators Update X-Trap Error!

  • Right click on engine.exe in Client Folder and select Properties.
  • Go to the Compatibility tab and select Compatibility Mode.
  • Check the tick box and select Windows 8.
  • Click Apply and OK.

...

...